## NMSettingOvsBridge NMSettingOvsBridge |

## Functions

NMSetting * | nm_setting_ovs_bridge_new ()
const char * | nm_setting_ovs_bridge_get_fail_mode ()
gboolean | nm_setting_ovs_bridge_get_mcast_snooping_enable ()
gboolean | nm_setting_ovs_bridge_get_rstp_enable ()
gboolean | nm_setting_ovs_bridge_get_stp_enable ()
const char * | nm_setting_ovs_bridge_get_datapath_type ()

## Types and Values

#define | NM_SETTING_OVS_BRIDGE_SETTING_NAME
#define | NM_SETTING_OVS_BRIDGE_FAIL_MODE
#define | NM_SETTING_OVS_BRIDGE_MCAST_SNOOPING_ENABLE
#define | NM_SETTING_OVS_BRIDGE_RSTP_ENABLE
#define | NM_SETTING_OVS_BRIDGE_STP_ENABLE
#define | NM_SETTING_OVS_BRIDGE_DATAPATH_TYPE

## Description

## Functions

### nm_setting_ovs_bridge_new ()

    NMSetting *
    nm_setting_ovs_bridge_new (void);

### nm_setting_ovs_bridge_get_fail_mode ()

    const char *
    nm_setting_ovs_bridge_get_fail_mode (NMSettingOvsBridge *self);

### nm_setting_ovs_bridge_get_mcast_snooping_enable ()

    gboolean
    nm_setting_ovs_bridge_get_mcast_snooping_enable
                                   (NMSettingOvsBridge *self);

### nm_setting_ovs_bridge_get_rstp_enable ()

    gboolean
    nm_setting_ovs_bridge_get_rstp_enable (NMSettingOvsBridge *self);

### nm_setting_ovs_bridge_get_stp_enable ()

    gboolean
    nm_setting_ovs_bridge_get_stp_enable (NMSettingOvsBridge *self);

### nm_setting_ovs_bridge_get_datapath_type ()

    const char *
    nm_setting_ovs_bridge_get_datapath_type
                                   (NMSettingOvsBridge *self);

## Types and Values

### NM_SETTING_OVS_BRIDGE_SETTING_NAME

    #define NM_SETTING_OVS_BRIDGE_SETTING_NAME "ovs-bridge"

### NM_SETTING_OVS_BRIDGE_FAIL_MODE

    #define NM_SETTING_OVS_BRIDGE_FAIL_MODE             "fail-mode"

### NM_SETTING_OVS_BRIDGE_MCAST_SNOOPING_ENABLE

    #define NM_SETTING_OVS_BRIDGE_MCAST_SNOOPING_ENABLE "mcast-snooping-enable"

### NM_SETTING_OVS_BRIDGE_RSTP_ENABLE

    #define NM_SETTING_OVS_BRIDGE_RSTP_ENABLE           "rstp-enable"

### NM_SETTING_OVS_BRIDGE_STP_ENABLE

    #define NM_SETTING_OVS_BRIDGE_STP_ENABLE            "stp-enable"

### NM_SETTING_OVS_BRIDGE_DATAPATH_TYPE

    #define NM_SETTING_OVS_BRIDGE_DATAPATH_TYPE         "datapath-type"